Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class CookieTools

    java.lang.Object
      |
      +--org.apache.catalina.util.CookieTools

public class CookieTools
extends java.lang.Object

Cookie utils - generate cookie header, etc

Author:
  Original Author Unknown, duncan@eng.sun.com

Constructor Summary
`CookieTools()`

Method Summary
`static java.lang.String` | `getCookieHeaderName(javax.servlet.http.Cookie cookie)` Return the header name to set the cookie, based on cookie version
`static java.lang.String` | `getCookieHeaderValue(javax.servlet.http.Cookie cookie)` Deprecated. Use StringBuffer version
`static void` | `getCookieHeaderValue(javax.servlet.http.Cookie cookie, java.lang.StringBuffer buf)` Return the header value used to set this cookie

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieTools

    public CookieTools()

Method Detail

### getCookieHeaderName

    public static java.lang.String getCookieHeaderName(javax.servlet.http.Cookie cookie)

  Return the header name to set the cookie, based on cookie version

### getCookieHeaderValue

    public static java.lang.String getCookieHeaderValue(javax.servlet.http.Cookie cookie)

  Deprecated. Use StringBuffer version

  Return the header value used to set this cookie

### getCookieHeaderValue

    public static void getCookieHeaderValue(javax.servlet.http.Cookie cookie,
                                            java.lang.StringBuffer buf)

  Return the header value used to set this cookie

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.